post
https://{sitename}.mvpplant.com/ODataApi/v1/Parts('')/Move
Move a quantity of an existing part from one warehouse or stock location to another.
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Move Part
Move a quantity of an existing part from one warehouse or stock location to another.
POST /ODataApi/v1/Parts('name')/MoveEndpoint
https://{sitename}.mvpplant.com/ODataApi/v1/Parts('{name}')/MoveReplace {sitename} with your MVP One site name and {name} with the part name or part ID.
Request body
Send the move details in the request body.
| Field | Type | Required | Description |
|---|---|---|---|
FromWarehouseID | String | Yes | Warehouse where the part is moved from. |
FromStockLocation | String | Yes | Stock location where the part is moved from. |
ToWarehouseID | String | Yes | Warehouse where the part is moved to. |
ToStockLocation | String | Yes | Stock location where the part is moved to. |
Quantity | Decimal | Yes | Quantity to move. |
FromAccount | String | Yes | Account used as the source for the move. |
ToAccount | String | Yes | Account receiving the moved quantity. |
FromCostCenter | String | Yes | Cost center where the part is moved from. |
ToCostCenter | String | Yes | Cost center where the part is moved to. |
Notes | String | Yes | Notes for the move transaction. |
TransactionDate | String | Yes | Date of the move transaction. |
Example request
{
"FromWarehouseID": "MAIN",
"FromStockLocation": "A-01",
"ToWarehouseID": "MAIN",
"ToStockLocation": "B-02",
"Quantity": 3,
"FromAccount": "Inventory",
"ToAccount": "Inventory",
"FromCostCenter": "Maintenance",
"ToCostCenter": "Production",
"Notes": "Moved parts to production stock location",
"TransactionDate": "2026-06-22"
}Example URL
https://company.mvpplant.com/ODataApi/v1/Parts('PART-1001')/MoveResponse
Returns a Boolean value.
trueNotes
- Use this endpoint to move a quantity of an existing part.
- The part must already exist before you call this endpoint.
- Use single quotes around the part name or part ID in the URL.
Quantityshould be the amount moved.TransactionDateshould use the date format expected by your MVP One environment.
